View Issue Details

IDProjectCategoryView StatusLast Update
15832Bug reports_ Unknownpublic2020-03-16 13:23
ReporterBerfes Assigned Toc_schmitz  
PriorityhighSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.1.1 
Fixed in Version4.1.10 
Summary15832: No E-Mail invitation possible
Description

No E-Mail invitation possible from Token

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.1.1+200203
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMySQL 5.7
Server OS (if known)
Webserver software & version (if known)
PHP Version7.2

Activities

Berfes

Berfes

2020-02-07 01:00

reporter  

user204295

2020-03-09 10:52

  ~56364

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29661

ollehar

ollehar

2020-03-09 15:50

administrator   ~56376

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29662

ollehar

ollehar

2020-03-09 16:19

administrator   ~56377

Breaks on PHP 7.2 on Travis, don't know why. Works for both me and Patrick on our local machines (PHP 7.2).

ollehar

ollehar

2020-03-09 16:22

administrator   ~56378

Maybe Sodium is not installed on Travis, and this fix won't work unless Sodium is installed?

ollehar

ollehar

2020-03-09 16:28

administrator   ~56379

Confirmed, sodium extension is not loaded on travis for php 7.2 (checked with php -m).

lime_release_bot

lime_release_bot

2020-03-09 16:32

administrator   ~56383

Fixed in Release 4.1.9+200310

ollehar

ollehar

2020-03-09 16:38

administrator   ~56385

Not fixed if sodium is not installed.

ollehar

ollehar

2020-03-09 16:41

administrator   ~56386

Can this be fixed without touching encryption?

c_schmitz

c_schmitz

2020-03-16 00:41

administrator   ~56559

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29700

c_schmitz

c_schmitz

2020-03-16 00:41

administrator   ~56560

Like this?

lime_release_bot

lime_release_bot

2020-03-16 13:23

administrator   ~56570

Fixed in Release 4.1.11+200316

Related Changesets

LimeSurvey: master 8e46ca88

2020-02-13 20:11:24

user204295


Committer: p_teichmann Details Diff
Fixed issue 15832: Participant settings not imported correctly when importing a CSV file (emailstatus issue) Affected Issues
15832
mod - application/controllers/admin/tokens.php Diff File
mod - application/core/LSSodium.php Diff File
mod - application/models/LSActiveRecord.php Diff File
mod - tests/unit/models/EncryptAttributesTest.php Diff File

LimeSurvey: master 6956b2c8

2020-03-09 15:50:13

ollehar

Details Diff
Revert "Fixed issue 15832: Participant settings not imported correctly when importing a CSV file (emailstatus issue)"

This reverts commit 8e46ca88ac9135e488c32d63bfe083a877a9d406.
Affected Issues
15832
mod - application/controllers/admin/tokens.php Diff File
mod - application/core/LSSodium.php Diff File
mod - application/models/LSActiveRecord.php Diff File
mod - tests/unit/models/EncryptAttributesTest.php Diff File

LimeSurvey: master 522361f2

2020-03-16 00:41:30

c_schmitz

Details Diff
Fixed issue 15832: Email status was not set to OK when creating tokens Affected Issues
15832
mod - application/models/Token.php Diff File

Issue History

Date Modified Username Field Change
2020-02-07 01:00 Berfes New Issue
2020-02-07 01:00 Berfes File Added: 38E9840E-707F-4354-BB3B-219A7F611E16.png
2020-02-13 20:12 user204295 Changeset attached => LimeSurvey master bdea8b99
2020-02-13 20:12 user204295 Assigned To => user204295
2020-02-13 20:12 user204295 Resolution open => fixed
2020-02-14 12:02 user204295 Status new => acknowledged
2020-02-14 12:03 user204295 Changeset removed LimeSurvey master bdea8b99 =>
2020-03-09 10:52 p_teichmann Changeset attached => LimeSurvey master 8e46ca88
2020-03-09 10:52 user204295 Note Added: 56364
2020-03-09 15:28 c_schmitz Status acknowledged => resolved
2020-03-09 15:28 c_schmitz Fixed in Version => 4.1.9
2020-03-09 15:50 ollehar Changeset attached => LimeSurvey master 6956b2c8
2020-03-09 15:50 ollehar Note Added: 56376
2020-03-09 15:50 ollehar Assigned To user204295 => ollehar
2020-03-09 16:19 ollehar Note Added: 56377
2020-03-09 16:19 ollehar Assigned To ollehar =>
2020-03-09 16:19 ollehar Status resolved => new
2020-03-09 16:19 ollehar Resolution fixed => reopened
2020-03-09 16:22 ollehar Note Added: 56378
2020-03-09 16:28 ollehar Note Added: 56379
2020-03-09 16:32 lime_release_bot Note Added: 56383
2020-03-09 16:32 lime_release_bot Status new => closed
2020-03-09 16:32 lime_release_bot Resolution reopened => fixed
2020-03-09 16:37 ollehar Status closed => new
2020-03-09 16:37 ollehar Resolution fixed => reopened
2020-03-09 16:38 ollehar Note Added: 56385
2020-03-09 16:41 ollehar Note Added: 56386
2020-03-10 14:49 ollehar Priority none => high
2020-03-16 00:41 c_schmitz Changeset attached => LimeSurvey master 522361f2
2020-03-16 00:41 c_schmitz Note Added: 56559
2020-03-16 00:41 c_schmitz Assigned To => c_schmitz
2020-03-16 00:41 c_schmitz Resolution reopened => fixed
2020-03-16 00:41 c_schmitz Note Added: 56560
2020-03-16 00:43 c_schmitz Status new => resolved
2020-03-16 00:43 c_schmitz Fixed in Version 4.1.9 => 4.1.10
2020-03-16 13:23 lime_release_bot Note Added: 56570
2020-03-16 13:23 lime_release_bot Status resolved => closed